Subject: bug#8510: 24.0.50; lexbind problem (apparently): void-variable symbol

From: "Drew Adams" <[email-masked]>
Date: Sat, 16 Apr 2011 09:58:51 -0700

> I suspect its a bug in your code. :-)
> 
> Your description sounds very similar to an issue I had with 
> anything.el when switching to the (now merged) lexbind branch.
> The issue was that some advice tried to access one arg of the
> adviced function by its name.

Hi Tassilo,

You might be right that it is in my code (dunno), but if so I don't think it has
to do with the problem you mention.  The problem you mention is, I think, bug
#8457 (which has reportedly been fixed, BTW).

I do not use defadvice in this way in my code anywhere (anymore) - I use only
`ad-get-arg'.  And in the Icicles code I use defadvice in only two minor places,
neither of which accesses an argument (by name or otherwise).